Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.infodesire.infobit.render
Interface InfobitRenderer

All Known Implementing Classes:
  VelocityRenderer

public interface InfobitRenderer

implementors are able to render infobits into whatever shape they like

Version:
  $Revision: 1.4 $
Author:
  konstantin

Method Summary
`InfobitManager` | `getManager()` infobit manager to work with
`void` | `init(java.util.Properties properties)` initialize renderer with properties.
`void` | `render(java.lang.String name, java.io.Writer writer, java.util.Map parameters)` render given infobit content
`void` | `setManager(InfobitManager manager)` infobit manager to work with

Method Detail

### setManager

    public void setManager(InfobitManager manager)

  infobit manager to work with

  Parameters:
    `manager` - The new Manager value

### getManager

    public InfobitManager getManager()

  infobit manager to work with

  Returns:
    The Manager value

### render

    public void render(java.lang.String name,
                       java.io.Writer writer,
                       java.util.Map parameters)
                throws java.lang.Exception

  render given infobit content

  Parameters:
    `writer` - Description of Parameter
    `name` - Description of Parameter
    `parameters` - parameters to pass to the rendering engine.
  Throws:
    `java.lang.Exception` - Description of Exception

### init

    public void init(java.util.Properties properties)

  initialize renderer with properties. property names are described in implementing class

  Parameters:
    `properties` - Description of Parameter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Information Desire GmbH. All Rights Reserved.